Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ParticleVisualData Class Reference

Abstract class containing any additional data required to be associated with a particle to perform the required rendering. More...

`#include <OgreParticle.h>`

List of all members.

## Public Member Functions
| ParticleVisualData ()
virtual | ~ParticleVisualData ()

## Detailed Description

Abstract class containing any additional data required to be associated with a particle to perform the required rendering.

Remarks:
  Because you can specialise the way that particles are renderered by supplying custom ParticleSystemRenderer classes, you might well need some additional data for your custom rendering routine which is not held on the default particle class. If that's the case, then you should define a subclass of this class, and construct it when asked in your custom ParticleSystemRenderer class.

Definition at line 46 of file OgreParticle.h.

## Constructor & Destructor Documentation

Ogre::ParticleVisualData::ParticleVisualData | ( |  | ) |

| Definition at line 49 of file OgreParticle.h.

virtual Ogre::ParticleVisualData::~ParticleVisualData | ( |  | ) | `[virtual]`

| Definition at line 50 of file OgreParticle.h.

The documentation for this class was generated from the following file:

- OgreParticle.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:05 2007